artdaq - Bug #20404

EventBuilders stop dataflow when there is a configured rootNetOutput module, but no Dispatcher

running
07/23/2018 09:55 AM - Kurt Biery

Status: New
Priority: Low
Assignee:
Category:

Target version:

Experiment: -

Start date:
Due date:
% Done:

Estimated time:

Co-Assignees:

07/23/2018

0%
0.00 hour

Description

Messages from the EB log, run 2813 at protoDUNE:

%$MSG-1 SharedMemoryReader:

Early 23-Jul-2018 13:34:30 CEST JobSetup SharedMemoryReader.hh:110
SharedMemoryReader initialized with ParameterSet:

sume_after_timeout:true waiting_time:2.5e6

IMSG

%$MSG-e _DataSenderManager:
No destinations specified!

TMSG
$MSG-1i FastCloning:
ction

Initial fast cloning configuration

IMSG
23-Jul-2018 13:35:00 CEST

$MSG-w _DataSenderManager:

Could not get destination
$MSG

$MSG-w _DataSenderManager:

Could not get destination
SMSG

%$MSG-w _DataSenderManager:

Could not get destination
SMSG

%$MSG-w _DataSenderManager:

Could not get destination
IMSG

$MSG-w _DataSenderManager:

Could not get destination
$MSG

%$MSG-e _DataSenderManager:

calcDest returned invalid
$MSG

$MSG-w _DataSenderManager:

Could not get destination
IMSG

%$MSG-w _DataSenderManager:

Could not get destination
SMSG

$MSG-w _DataSenderManager:

Could not get destination
$MSG

$MSG-w _DataSenderManager:

Could not get destination
SMSG

%$MSG-w _DataSenderManager:

Could not get destination
SMSG

%$MSG-e _DataSenderManager:

calcDest returned invalid

04/09/2021

module_label:"source" module_type:"Dunelnput"

DAQ 23-Jul-2018 13:34:30 CEST Booted DataSenderManager.cc:85

RootOutput :normalOutput@Construction

(user—-set) :

false

re

23-Jul-2018 13:34:30 CEST ModuleConstru

Opened output file with pattern "/datal/npO4_raw_run%06r_%$#_dl2.root"
DAQ 23-Jul-2018 13:35:01 CEST Booted DataSenderManager.cc:403

for seqID 1, retrying.

DAQ 23-Jul-2018 13:35:

for seqgID 1, retrying.

DAQ 23-Jul-2018 13:35:

for seqID 1, retrying.

DAQ 23-Jul-2018 13:35:

for seqgID 1, retrying.

DAQ 23-Jul-2018 13:35:
for seqID 1.

DAQ 23-Jul-2018 13:35:
destination rank -1111!

DAQ 23-Jul-2018 13:35:

for seqgID 4, retrying.

DAQ 23-Jul-2018 13:35:

for seqlID 4, retrying.

DAQ 23-Jul-2018 13:35:

for seqID 4, retrying.

DAQ 23-Jul-2018 13:35:

for seqgID 4, retrying.

DAQ 23-Jul-2018 13:35:
for seqID 4.

DAQ 23-Jul-2018 13:35:
destination rank -1111!

01 CEST Booted

01 CEST Booted

01 CEST Booted

01 CEST Booted

01 CEST Booted
This event has

04 CEST Booted

04 CEST Booted

04 CEST Booted

04 CEST Booted

04 CEST Booted

04 CEST Booted
This event has

DataSenderManager.

DataSenderManager.

DataSenderManager.

DataSenderManager.

DataSenderManager.

been lost: 1

DataSenderManager.

DataSenderManager.

DataSenderManager.

DataSenderManager.

DataSenderManager.

DataSenderManager.

been lost: 4
$MSG
$MSG-w _DataSenderManager: DAQ 23-Jul-2018 13:35:04 CEST Booted DataSenderManager.cc:403

Could not get destination for seqgID 16, retrying.

$MSG
$MSG-w _DataSenderManager: DAQ 23-Jul-2018 13:35:04 CEST Booted DataSenderManager.cc:403

Could not get destination for seqID 16, retrying.

History

#1 - 07/23/2018 04:14 PM - Ron Rechenmacher

- Priority changed from Normal to Low

At cern, and for the time being, online monitoring is going to be done from files. The rootNetOutput config is to be removed from the
eventbuilder configs, at least for the time being.
